services:
  api-jiedao-test-operator:
    image: harbor.jiedao.com/api-jiedao-test-operator:latest
    container_name: api-jiedao-test-operator
    ports:
      - "9091:9001"
    environment:
      env: uat
    volumes:
      - '/etc/localtime:/etc/localtime'
      - '/jiedao/docker/test/apps/jiedao/api/logs/operator:/logs'
      - '/jiedao/docker/test/apps/jiedao/static:/app/static'
      - '/jiedao/docker/test/apps/jiedao/fonts/zh:/usr/share/fonts/zh'
    restart: always
    ulimits:
      nproc: 65535
      nofile:
        soft: 32000
        hard: 40000
    deploy:
      resources:
        limits:
          cpus: '3'
          memory: 3G
    networks:
      app-net:
        ipv4_address: 10.10.0.120

networks:
  app-net:
    external: true
